---
updatedAt: 2025-11-11T00:09:49.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Bulk Transfer

This endpoint enables a wallet transfer to multiple wallets.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bulk-transfer",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://api-gateway.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/generic-wallet/api/v1/transaction/transfer/bulk": {
      "post": {
        "summary": "Bulk Transfer",
        "description": "This endpoint enables a wallet transfer to multiple wallets.",
        "operationId": "bulk-transfer-1",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "<passport_generated_token>"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "txnRef",
                  "walletIdType",
                  "walletId",
                  "amount",
                  "channel",
                  "enctyptedPin"
                ],
                "properties": {
                  "txnRef": {
                    "type": "string"
                  },
                  "walletIdType": {
                    "type": "string"
                  },
                  "walletId": {
                    "type": "string"
                  },
                  "amount": {
                    "type": "string"
                  },
                  "channel": {
                    "type": "string"
                  },
                  "enctyptedPin": {
                    "type": "string"
                  },
                  "domain": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"statusCode\": \"200\",\n\"responseCode\": \"00\",\n\"responseMessage\": \"Successful\",\n\"errors\": null,\n\"modelList\": [\n{\n\"statusCode\": \"200\",\n\"responseCode\": \"00\",\n\"responseMessage\": \"Approved or completed successfully\",\n\"errors\": null,\n\"modelList\": null,\n\"count\": 0,\n\"walletId\": \"2348039609278\",\n\"walletIdType\": \"phone\"\n},\n{\n\"statusCode\": \"200\",\n\"responseCode\": \"00\",\n\"responseMessage\": \"Approved or completed successfully\",\n\"errors\": null,\n\"modelList\": null,\n\"count\": 0,\n\"walletId\": \"2348039609278\",\n\"walletIdType\": \"phone\"\n}\n],\n\"count\": 2\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "string",
                      "example": "200"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Successful"
                    },
                    "errors": {},
                    "modelList": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "statusCode": {
                            "type": "string",
                            "example": "200"
                          },
                          "responseCode": {
                            "type": "string",
                            "example": "00"
                          },
                          "responseMessage": {
                            "type": "string",
                            "example": "Approved or completed successfully"
                          },
                          "errors": {},
                          "modelList": {},
                          "count": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "walletId": {
                            "type": "string",
                            "example": "2348039609278"
                          },
                          "walletIdType": {
                            "type": "string",
                            "example": "phone"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://api-gateway.interswitchng.com/generic-wallet/api/v1/transaction/transfer/bulk \\\n-H \"Authorization: <passport_generated_token>\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n      \"txnRef\": \"70039202\",\n      \"walletIdType\": \"PHONE\",\n      \"walletId\": \"2348039609278\",\n      \"channel\": \"SERVICE\",\n      \"otp\": \"236959\",\n      \"domain\": \"ISW\",\n      \"encryptedPin\": \"929aed1a3c05e21b81b1937d25934dc6\",\n      \"beneficiaryWallets\": [\n      {\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"domain\":\"VER\",\n      \"amount\": \"10\"\n      },\n      {\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"amount\": \"100000\"\n      }\n      ]\n\t\t}' \n-X POST"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: <passport_generated_token>'\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'https://api-gateway.interswitchng.com/generic-wallet/api/v1/transaction/transfer/bulk');\n\n$fieldsString = '{\n      \"txnRef\": \"70039202\",\n      \"walletIdType\": \"PHONE\",\n      \"walletId\": \"2348039609278\",\n      \"channel\": \"SERVICE\",\n      \"otp\": \"236959\",\n      \"domain\": \"ISW\",\n      \"encryptedPin\": \"929aed1a3c05e21b81b1937d25934dc6\",\n      \"beneficiaryWallets\": [\n      {\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"domain\":\"VER\",\n      \"amount\": \"10\"\n      },\n      {\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"amount\": \"100000\"\n      }\n      ]\n\t\t}';\ncurl_setopt($curlInit, CURLOPT_POST, true);\ncurl_setopt($curlInit, CURLOPT_POSTFIELDS, $fieldsString);\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const params = `{\n      \"txnRef\": \"70039202\",\n      \"walletIdType\": \"PHONE\",\n      \"walletId\": \"2348039609278\",\n      \"channel\": \"SERVICE\",\n      \"otp\": \"236959\",\n      \"domain\": \"ISW\",\n      \"encryptedPin\": \"929aed1a3c05e21b81b1937d25934dc6\",\n      \"beneficiaryWallets\": [{\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"domain\":\"VER\",\n      \"amount\": \"10\"\n      },\n      {\n      \"walletIdType\": \"phone\",\n      \"walletId\": \"08039609278\",\n      \"amount\": \"100000\"\n      }]\n\t\t}`;\nconst options = {\n  hostname: 'api-gateway.interswitchng.com',\n  port: 443,\n  path: '/generic-wallet/api/v1/transaction/transfer/bulk',\n  method: 'POST',\n  headers: {\n    Authorization: '<passport_generated_token>',\n    'Content-Type': 'application/json'\n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\nrequest.write(params);\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```